Package com.salesforce.datacloud.jdbc.core.model

## Class DataspaceResponse

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.model.DataspaceResponse

    public class DataspaceResponse
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DataspaceResponse.DataSpaceAttributes`

### Constructor Summary

Constructors
`DataspaceResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canEqual​(Object other)`
`boolean` `equals​(Object o)`
`Boolean` `getDone()`
`List<DataspaceResponse.DataSpaceAttributes>` `getRecords()`
`Integer` `getTotalSize()`
`int` `hashCode()`
`void` `setDone​(Boolean done)`
`void` `setRecords​(List<DataspaceResponse.DataSpaceAttributes> records)`
`void` `setTotalSize​(Integer totalSize)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataspaceResponse

    public DataspaceResponse()

### Method Detail

#### getRecords

    public List<DataspaceResponse.DataSpaceAttributes> getRecords()

#### getTotalSize

    public Integer getTotalSize()

#### getDone

    public Boolean getDone()

#### setRecords

    public void setRecords​(List<DataspaceResponse.DataSpaceAttributes> records)

#### setTotalSize

    public void setTotalSize​(Integer totalSize)

#### setDone

    public void setDone​(Boolean done)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### canEqual

    protected boolean canEqual​(Object other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`